/***************************************************************************
    copyright            : (C) 1999 by Frederik Bilhaut
    email                : bilhaut_f@mail.cpod.fr
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <kapp.h>
#include "DialogInput.h"

#define Inherited DialogInputData

DialogInput::DialogInput(QWidget* parent,const char* name)
  : Inherited( parent, name )
  {
  setCaption("Caption");
  }


DialogInput::~DialogInput()
  {
  }

void DialogInput::ok(void)
  {
  QString text = edit->text();
  if(text.isEmpty())
    QMessageBox::warning(this, i18n("Error"), i18n("Please enter a value"));
  else
    done(1);
  }

void DialogInput::cancel(void)
  {
  done(0);
  }

QString DialogInput::getText(void)
  {
  return edit->text();
  }

void DialogInput::setMessage(QString str)
  {
  message->setText(str);
  }



