/***************************************************************************
    copyright            : (C) 1999 by Frederik Bilhaut
    email                : bilhaut_f@mail.cpod.fr
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef DialogInput_included
#define DialogInput_included

#include <qstring.h>
#include <qmessagebox.h>
#include "DialogInputData.h"

class DialogInput : public DialogInputData
  {
    Q_OBJECT
  public:
    DialogInput(QWidget* parent = NULL, const char* name = NULL);
    virtual ~DialogInput();
    QString getText();
    void setMessage(QString);
  private slots:
    void ok();
    void cancel();
  };


#endif 


