/***************************************************************************
    copyright            : (C) 1999 by Frederik Bilhaut
    email                : bilhaut_f@mail.cpod.fr
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef DialogModules_included
#define DialogModules_included

#include "DialogModulesData.h"
#include "pluginmanager.h"
#include "DialogModuleInfo.h"
#include <kfiledialog.h>
#include <qmessagebox.h>

class DialogModules : public DialogModulesData
	{
  Q_OBJECT
  public:
    DialogModules(PluginManager *, QWidget* parent = NULL, const char *name = NULL);
    virtual ~DialogModules();
  public slots:
  	void addModule();
  	void moduleInfo();
  	void moduleRemove();
  private:
  	PluginManager *pluginManager;
	};
	

#endif // DialogModules_included








