/***************************************************************************
    copyright            : (C) 1999 by Frederik Bilhaut
    email                : bilhaut_f@mail.cpod.fr
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef DIALOGPREF_H
#define DIALOGPREF_H

#include <qlabel.h>
#include <klined.h>
#include <qpushbutton.h>
#include <kstring.h>
#include <qcheckbox.h>
#include <qvalidator.h>
#include "DialogPrefData.h"

struct Pref
  {
  enum { Submit = 0, Edit = 1 };
  enum { StatusBar = 0, MessageBox = 1 };
  bool savequit;
  unsigned int nbsaved;
  int historyBehaviour;
  int errorsDestination;
  bool autoUpdates;
  bool autoDetectPlugins;
  };

class DialogPref : public DialogPrefData
  {
    Q_OBJECT
  public:
    DialogPref(QWidget *);
    void setFields(Pref);
    Pref getResult(void);
  private slots:
    void ok();
    void cancel();
  };

#endif


