/***************************************************************************
    copyright            : (C) 1999 by Frederik Bilhaut
    email                : bilhaut_f@mail.cpod.fr
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <qkeycode.h>
#include "celledit.h"

CellEdit::CellEdit(QWidget *parent)
	: QLineEdit(parent)
	{
	}
	
CellEdit::~CellEdit(void)
	{
	}

void CellEdit::keyPressEvent (QKeyEvent *e)
	{
	if(e->key() == Key_Enter || e->key() == Key_Return)
		emit done(true);
	else if(e->key() == Key_Escape)
		emit done(false);
	else
		QLineEdit::keyPressEvent(e);
	}


