/***************************************************************************
    copyright            : (C) 1999 by Frederik Bilhaut
    email                : bilhaut_f@mail.cpod.fr
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "dlgfepropform.h"

DlgFePropForm::DlgFePropForm(QWidget *parent, FeFrame *frame)
	: QDialog(parent, 0, true)
	{
	initDialog();
	connect(btnOk, SIGNAL(clicked()), this, SLOT(accept()));
	connect(btnCancel, SIGNAL(clicked()), this, SLOT(reject()));	
	//
	form = frame;
	load();
	}

DlgFePropForm::~DlgFePropForm(void)
	{
	}

	
	
void DlgFePropForm::load(void)
	{
	editTitle->setText(form->title());
	editQuery->setText(form->query());
	editHelp->setText(form->help());	
	}
	
void DlgFePropForm::save(void)
	{
	form->setTitle(editTitle->text());
	form->setQuery(editQuery->text());
	form->setHelp(editHelp->text());
	}
