/***************************************************************************
    copyright            : (C) 1999 by Frederik Bilhaut
    email                : bilhaut_f@mail.cpod.fr
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "dlgpassword.h"
#include "kapp.h"

DlgPassword::DlgPassword(QWidget *parent)
	: QDialog(parent, 0, true)
	{
	initDialog();
	setCaption("Connect");
	QWidget *topWidget = KApplication::getKApplication()->topWidget();
	int x = topWidget->x()+(topWidget->width()/2)-(width()/2);
	int y = topWidget->y()+(topWidget->height()/2)-(height()/2);
	move(x, y);
	connect(btnOk, SIGNAL(clicked()), this, SLOT(accept()));
	connect(btnCancel, SIGNAL(clicked()), this, SLOT(reject()));
	edit->setEchoMode(QLineEdit::Password);
	edit->setText("");
	}

DlgPassword::~DlgPassword()
	{
	}

QString DlgPassword::getPassword()
	{
	return edit->text();
	}

