/***************************************************************************
    copyright            : (C) 1999 by Frederik Bilhaut
    email                : bilhaut_f@mail.cpod.fr
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "fedate.h"
#include "dlgfepropdate.h"
#include "utils.h"

FeDate::FeDate(QWidget *parent)
	: FeDateBaseClass(parent)
	{
	}
	
void FeDate::showProperties(void)
	{
	DlgFePropDate dlg(this, this);
	if(dlg.exec())
		dlg.save();
	}

bool FeDate::setOptions(QString)
	{
	return true;
	}
	
bool FeDate::writeDatabase(ISqlServer *sql, QString formId)
	{
	QString extra = "";
	QString query(16000);
	query.sprintf("INSERT INTO __KmysqlFields (FormRef, Name, Type, X, Y, Width, Height, Extra) VALUES (%s, '%s', '%s', %d, %d, %d, %d, '%s')",
								(const char *)formId, (const char *)Utils::insertQuotes(name()), "date", x(), y(), width(), height(), (const char *)extra);
  QueryResult res = sql->query(query);
  if(res.type == QueryResult::Error)
  	return false;
  return true;
	}


