/***************************************************************************
    copyright            : (C) 1999 by Frederik Bilhaut
    email                : bilhaut_f@mail.cpod.fr
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef FEDATE_H
#define FEDATE_H

#include "fewidget.h"
#include "pseudodatepicker.h"
#include "isqlserver.h"

typedef FeWidget<PseudoDatePicker> FeDateBaseClass;

class FeDate : public FeDateBaseClass
	{
	Q_OBJECT
	public:
		FeDate(QWidget *);
		void showProperties(void);
		bool setOptions(QString);
		bool writeDatabase(ISqlServer *, QString);
	};

#endif









