/***************************************************************************
    copyright            : (C) 1999 by Frederik Bilhaut
    email                : bilhaut_f@mail.cpod.fr
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef FEEDIT_H
#define FEEDIT_H

#include <qlineedit.h>
#include "fegrid.h"
#include "isqlserver.h"
#include "fewidget.h"

typedef FeWidget<QLineEdit> FeEditInherited;

class FeEdit : public FeEditInherited
	{
	Q_OBJECT
	public:
		FeEdit(QWidget *);
		void setDefaultValue(QString s) { _defaultValue = s; }
		QString defaultValue(void) { return _defaultValue; }
		bool setOptions(QString);
		bool writeDatabase(ISqlServer *, QString);
		void showProperties(void);
	private:
		QString _defaultValue;
	};

#endif










