/***************************************************************************
    copyright            : (C) 1999 by Frederik Bilhaut
    email                : bilhaut_f@mail.cpod.fr
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef FELABEL_H
#define FELABEL_H

#include <qlabel.h>
#include <qpainter.h>
#include "fegrid.h"
#include "isqlserver.h"
#include "fewidget.h"

typedef FeWidget<QLabel> FeLabelInherited;

class FeLabel : public FeLabelInherited
  {
  Q_OBJECT
	public:
		FeLabel(QWidget *);
		bool setOptions(QString);
		bool writeDatabase(ISqlServer *, QString);
		void showProperties(void);
	protected:
		void paintEvent(QPaintEvent *);
	};

#endif










