/***************************************************************************
    copyright            : (C) 1999 by Frederik Bilhaut
    email                : bilhaut_f@mail.cpod.fr
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef FORMUTILS_H
#define FORMUTILS_H

#include <qstring.h>
#include "isqlserver.h"

class FormUtils
	{
	public:
		static bool removeFormFromDatabase(ISqlServer *, QString);
		static bool prepareBaseForForms(ISqlServer *, QString);
		static bool isBaseInCurrentFormat(ISqlServer *, QString);
		static bool updateBaseToCurrentFormat(ISqlServer *, QString);
		static bool isBasePreparedForForms(ISqlServer *, QString);
	};

#endif






