/***************************************************************************
    copyright            : (C) 1999 by Frederik Bilhaut
    email                : bilhaut_f@mail.cpod.fr
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <kapp.h>
#include "mainwindow.h"
#include "pluginmanager.h"
#include "connectionmanager.h"


#ifndef KMYSQL_DEBUG
void myMessageOutput(QtMsgType, const char *) { }
#endif

int mainSQL( int argc, char **argv )
  {
#ifndef KMYSQL_DEBUG
  qInstallMsgHandler(&myMessageOutput);
#endif
  KApplication a(argc, argv, "kmysql");
  (void)new PluginManager();
  (void)new ConnectionManager();
  (new MainWindow(0))->show();
  return a.exec();
  }












