/***************************************************************************
    copyright            : (C) 1999 by Frederik Bilhaut
    email                : bilhaut_f@mail.cpod.fr
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef TABVIEW_H
#define TABVIEW_H

#include <qstrlist.h>
#include <qiodevice.h>
#include <qtextstream.h>
#include "editabletablistbox.h"

class TabView : public EditableTabListBox
	{
	Q_OBJECT
	public:
		TabView(QWidget * = 0, const char * = 0);
		void fitAll(void);
		void setColumns(QString);
		QString getHeadText(unsigned int);
		bool exportHTML(QIODevice *, bool = true, bool = true);
		void print(void);
	private:
		QStrList heads;		
	};

#endif






















