/***************************************************************************
    copyright            : (C) 1999 by Frederik Bilhaut
    email                : bilhaut_f@mail.cpod.fr
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef TABVIEWWINDOW_H
#define TABVIEWWINDOW_H

#include <qwidget.h>
#include <kiconloader.h>
#include <kapp.h>
#include "tabview.h"

class TabViewWindow : public QWidget
	{
  Q_OBJECT
	public:
		TabViewWindow(TabView *);
		~TabViewWindow(void);
	protected:
		void closeEvent(QCloseEvent *);
		void resizeEvent(QResizeEvent *);
	private:
		TabView *tabView;
	};

#endif




