/***************************************************************************
    copyright            : (C) 1999 by Frederik Bilhaut
    email                : bilhaut_f@mail.cpod.fr
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef VIEW_H
#define VIEW_H

#include <qframe.h>

class MainWindow;

class View : public QFrame
	{
  Q_OBJECT
	public:
		View(MainWindow *);
		~View(void);
		MainWindow *mainWindow(void);
		int getId(void);
		virtual void setEnabled(bool) = 0;
	private:
		MainWindow *m_parent;
		const int m_id;
		static int s_nextId;
	};

#endif









