/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Fri Nov 26 21:19:03 EET 1999
    copyright            : (C) 1999 by Tiberiu Craciun
    email                : tiberiu@akela.ro
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#include "kphpdev.h"
#include "database/pluginmanager.h"
#include "database/connectionmanager.h"


#ifndef KMYSQL_DEBUG
void myMessageOutput(QtMsgType, const char *) { }
#endif

int main(int argc, char* argv[]) {

#ifndef KMYSQL_DEBUG
  qInstallMsgHandler(&myMessageOutput);
#endif

  KApplication a(argc,argv,"kphpdev");

  (void)new PluginManager();
  (void)new ConnectionManager();

  KPHPDev* kphpdev = new KPHPDev;
  a.setMainWidget(kphpdev);
  kphpdev->show();
  kphpdev->slotTabLeftShow(0);
  return a.exec();
}
