/***************************************************************************
                          cfileedit.cpp  -  description
                             -------------------
    begin                : Fri Dec 10 1999
    copyright            : (C) 1999 by Tiberiu Craciun
    email                : tiberiu@akela.ro
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "cfileedit.h"
#include "ctcpclient.h"
#include <iostream.h>

CFileEdit::CFileEdit(QString Path, QWidget *parent, int ck): QObject(parent,""){
	path=Path;

  hl=new HlManager();
  kwd=new KWriteDoc(hl,"");
  kw=new KWrite(kwd,parent,"");
  check=ck;
	kwd->check=check;	
//	cerr << check << endl;
  connect(kw,SIGNAL(newCurPos()),this,SLOT(slotNewPos()));
}

CFileEdit::~CFileEdit(){
	if(!kw)	delete kw;
	if(!kwd) delete kwd;
	if(!hl)	delete hl;
}

void CFileEdit::close(){
if(check!=2){
	save(1);
	unlockFile(client,path);
}	
}

void CFileEdit::print(QPrinter *printer){
}


/**  */
void CFileEdit::slotNewPos(){
  emit sigNewPos(-1,kw->currentLine(),kw->currentColumn());

}





