#include "ctcpclient.h"
#include "tcp_client.h"

#include <fstream.h>
#include <iostream.h>
#include <unistd.h>
#include <errno.h>

void TCPsendWord(TcpClient *client,QString word){
//	char n[2000];

//  strcpy(n,qstrdup(word));
//  TCPsend(client,n,strlen(n));
//	cerr << word << endl;;
	TCPsend(client,word,word.length());
	
}

void TCPsend(TcpClient *cl,const char* d, int l){
//  cerr << "Trimis " << d << endl;
  char *r=d;
//  cerr << r << endl;
  QString t;
  unsigned char ch;
  while(l>0) {
		ch=(l>250) ? 250:(unsigned char)(l);
		cl->send((char*)(&ch),1);
//		t=(char*)(&ch);
//		t.resize(2);
//		cerr << "Send " << (int)ch << " : ";
		cl->send(r,(int)ch);
//		t=r;
//		t.resize((int)(ch)+1);
//		cerr << t << endl;
		r+=ch;
		l-=ch;
  }
  ch=0;	
  cl->send((char*)(&ch),1);
	//	t=(char*)(&ch);
	//	t.resize(2);
	//	cerr << "Send " << (int)ch << endl;
}


TcpClient* TCPConnect(QString host, int port) {
//  char* host = "localhost";
//  int port = 22223;
  char* log_file = "/var/log/kphpdev.client";
  FILE* log;

  if(log_file){
     log =  fopen(log_file, "a");
     if(!log)
      {
       fprintf(stderr, "Could not open log file %s: %s\n", log_file,
        strerror(errno));
      }
    }
    else
     log = stderr;

    TcpClient *client;
		client=new TcpClient(qstrdup(host),port, log);
    if(!client)  {
//	     	cerr << "Server not found" << endl;
	     return NULL;
	   }

    client->connect();
    if(!(*client))
     {
//	     	cerr << "connection refused" << endl;
     		return NULL;
 //     exit(1);
// 			cerr << "Not Connected" << endl;
     }
//     cerr << "Connected" << endl;
	return client;
}

void setProject(TcpClient *client,QString prj){
    TCPsendWord(client,"project");

    TCPsendWord(client,prj);
}

void setWWWRoot(TcpClient *client){
    TCPsendWord(client,"wwwroot");
}

QString getFilesFromDir(TcpClient *client,QString dir){
    char buffer[2048];
    int bytes_read;
    TCPsendWord(client,"files");

    TCPsendWord(client,dir);

    bytes_read =  client->receive(buffer, 2048);

    QString rezult(buffer);
    return rezult;
}

QString getDirsFromDir(TcpClient *client,QString dir){
		char buffer[2048];
		int bytes_read;

    TCPsendWord(client,"dirs");
    TCPsendWord(client,dir);
    bytes_read =  client->receive(buffer, 2048);

    QString rezult(buffer);
    return rezult;
}

QString getProjects(TcpClient *client){
		char buffer[2048];
		int bytes_read;

    TCPsendWord(client,"projects");
//    TCPsendWord(client,dir);
    bytes_read =  client->receive(buffer, 2048);

    QString rezult(buffer);
    return rezult;
}


int checkFile(TcpClient *client,QString file){
		char buffer[2048];
		int bytes_read;

    TCPsendWord(client,"check");
    TCPsendWord(client,file);
//    cerr << file << endl;
    bytes_read =  client->receive(buffer, 2048);

    QString rezult(buffer);
    rezult.resize(2);
//    cerr << file << ":" << rezult << endl;
    return rezult.toInt();
}


int lockFile(TcpClient *client,QString file){
		char buffer[2048];
		int bytes_read;

    TCPsendWord(client,"lock");
    TCPsendWord(client,file);
    bytes_read =  client->receive(buffer, 2048);

    QString rezult(buffer);
    return rezult.toInt();
}

int unlockFile(TcpClient *client,QString file){
		char buffer[2048];
		int bytes_read;

    TCPsendWord(client,"unlock");
    TCPsendWord(client,file);
    bytes_read =  client->receive(buffer, 2048);

    QString rezult(buffer);
    return rezult.toInt();
}
int putFile(TcpClient *client,QString file){
//		char buffer[2048];
//		int bytes_read;

    TCPsendWord(client,"put");
    TCPsendWord(client,file);
//    bytes_read =  client->receive(buffer, 1);

//    buffer[1]='\0';
//    QString rezult(buffer);
//    return rezult.toInt();
return 1;
}

int getFile(TcpClient *client,QString file){
		char buffer[2048];
		int bytes_read;

    TCPsendWord(client,"get");
    TCPsendWord(client,file);
    bytes_read =  client->receive(buffer, 1);

    buffer[1]='\0';
    QString rezult(buffer);
//    cerr << "Response " << rezult << endl;
    return rezult.toInt();
}


void quitTCP(TcpClient *client){
    TCPsendWord(client,"quit");
}

int  addFolder(TcpClient *client, QString file){
    TCPsendWord(client,"adddir");
    TCPsendWord(client,file);
return 1;
}

int  addFile(TcpClient *client, QString file){
    TCPsendWord(client,"addfile");
    TCPsendWord(client,file);
return 1;
}

int  delFile(TcpClient *client, QString file){
    TCPsendWord(client,"delfile");
    TCPsendWord(client,file);
return 1;
}

int  delFolder(TcpClient *client, QString file){
    TCPsendWord(client,"deldir");
    TCPsendWord(client,file);
return 1;
}

