/***************************************************************************
                          ctcpclient.h  -  description
                             -------------------
    begin                : Fri Nov 26 1999
    copyright            : (C) 1999 by Tiberiu Craciun
    email                : tiberiu@akela.ro
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "tcp_client.h"
#include <qstring.h>

void TCPsendWord(TcpClient *client,QString word);

void TCPsend(TcpClient *cl, const char* d, int l);

TcpClient* TCPConnect(QString host, int port);

void setWWWRoot(TcpClient *client);

void setProject(TcpClient *client,QString prj);

QString getFilesFromDir(TcpClient *client,QString dir);

QString getDirsFromDir(TcpClient *client,QString dir);

QString getProjects(TcpClient *client);

void quitTCP(TcpClient *client);

int checkFile(TcpClient *client,QString file);

int lockFile(TcpClient *client,QString file);

int unlockFile(TcpClient *client,QString file);

int getFile(TcpClient *client, QString file);

int putFile(TcpClient *client, QString file);

int  addFolder(TcpClient *client, QString file);

int  addFile(TcpClient *client, QString file);

int  delFile(TcpClient *client, QString file);

int  delFolder(TcpClient *client, QString file);
