/***************************************************************************
		copyright            : (C) 1999 by Frederik Bilhaut
    email                : bilhaut_f@mail.cpod.fr
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef DialogCreateTable_included
#define DialogCreateTable_included


#include <qlist.h>
#include "DialogCreateTableData.h"
#include "DialogTableField.h"

class DialogCreateTable : public DialogCreateTableData
  {
    Q_OBJECT
  public:
    DialogCreateTable(QWidget* parent = NULL, const char* name = NULL);
    virtual ~DialogCreateTable();
    QString getQuery(void);
  private:
  	TableField *getField(QString);
  	bool isTherePrimaryKey(void);
  private slots:
    void addField();
    void removeField();
    void editField();
  private:
    QList<TableField> fieldList;
  };


#endif 



