/***************************************************************************
    copyright            : (C) 1999 by Frederik Bilhaut
    email                : bilhaut_f@mail.cpod.fr
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "DialogModuleInfo.h"
#include <kapp.h>

#define Inherited DialogModuleInfoData

DialogModuleInfo::DialogModuleInfo(QWidget* parent, const char* name)
	:	Inherited( parent, name )
	{
	setCaption( i18n("Plugin information") );
	}

void DialogModuleInfo::setInfo(QString name, QString path, int id, QString info)
	{
	QString sId;
	sId.setNum(id);
	lblName->setText(name);
	lblPath->setText(path);
	lblId->setText(sId);
	mleInfo->setText(info);
	}


