/***************************************************************************
    copyright            : (C) 1999 by Frederik Bilhaut
    email                : bilhaut_f@mail.cpod.fr
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef FEGRID_H
#define FEGRID_H

#include <qpoint.h>
#include <qsize.h>

class FeGrid
	{
	public:
		static QPoint manage(QPoint);
		static QSize manage(QSize);
		static void setStep(int);
		static int step(void);
		static void setVisible(bool);
		static bool isVisible(void);
		static void setFit(bool);
		static bool isFit(void);
	private:
		static int _step;
		static bool _visible;
		static bool _fit;
	};

#endif





