/***************************************************************************
    copyright            : (C) 1999 by Frederik Bilhaut
    email                : bilhaut_f@mail.cpod.fr
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef FEWIDGETMENU_H
#define FEWIDGETMENU_H

#include <qpopupmenu.h>
#include <qevent.h>
#include <kapp.h>

#define Event_User_Properties Event_User+42

class EventProperties : public QEvent
	{
	public:
		EventProperties(void) : QEvent(Event_User_Properties) {}
	};

class FeWidgetMenu : public QPopupMenu
	{
  Q_OBJECT
	public:
		FeWidgetMenu(QWidget *, bool);
	private slots:
		void slotProperties();
		void slotDelete();
		void slotRaise();		
		void slotLower();
	private:
		QWidget *relatedWidget;
	};

#endif



