/***************************************************************************
    copyright            : (C) 1999 by Frederik Bilhaut
    email                : bilhaut_f@mail.cpod.fr
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef HISTORY_H
#define HISTORY_H

#include <qlistbox.h>
#include <qpopupmenu.h>

class History : public QListBox
	{
  Q_OBJECT
	public:
		History(QWidget * = 0, const char * = 0);
	signals:
		void edit(int);
		void execute(int);
	protected:
		void mousePressEvent(QMouseEvent *);
	private slots:
		void slotEdit();
		void slotExecute();
		void slotClear();
	private:
		QPopupMenu *popup;
	};

#endif


