/***************************************************************************
                          queryanalizer.h  -  description
                             -------------------
    begin                : Mon Dec 13 1999
    copyright            : (C) 1999 by Tiberiu Craciun
    email                : tiberiu@akela.ro
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef QUERYANALIZER_H
#define QUERYANALIZER_H
#include <knewpanner.h>
#include <qlayout.h>

#include "queryedit.h"
#include "history.h"
#include <qwidget.h>

/**
  *@author Tiberiu Craciun
  */

class DBWidget;
class QueryAnalizer : public QObject  {
	Q_OBJECT
public:
	QueryAnalizer(KNewPanner *qaview,QObject* parent=0,char* name=0);
	~QueryAnalizer();
private:	
	QueryEdit *edit;
	QueryEdit *rez;
  	KNewPanner *mainPanner;//, *panner;
public:  	
  	DBWidget *db;
public slots: // Public slots
  /**  */
  void slotExecute();
  void  slotClear();
};

#endif











