/***************************************************************************
    copyright            : (C) 1999 by Frederik Bilhaut
    email                : bilhaut_f@mail.cpod.fr
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "queryedit.h"
#include <iostream.h>

QueryEdit::QueryEdit(QWidget *parent)
	: KWrite(new KWriteDoc(new HlManager()), parent)
	{
		doc()->setHighlight(1);
	}
	
	
QueryEdit::~QueryEdit()
	{
	}

	
void QueryEdit::keyPressEvent(QKeyEvent *e)
	{
	if(e->key() == 'e' && e->state() == ControlButton){
		emit submit();
	}
	else
		KWrite::keyPressEvent(e);
	}





