/***************************************************************************
    copyright            : (C) 1999 by Frederik Bilhaut
    email                : bilhaut_f@mail.cpod.fr
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef QUERYEDIT_H
#define QUERYEDIT_H

#include "../kwrite/kwdoc.h"
#include "../kwrite/kwview.h"
#include <qkeycode.h>

class QueryEdit : public KWrite
	{
	Q_OBJECT
	public:
		QueryEdit(QWidget * = 0);
		~QueryEdit(void);
		void normalHighlight(){doc()->setHighlight(0);}
	signals:
		void submit();
	protected:
		virtual void keyPressEvent(QKeyEvent *);
	};

#endif




