/***************************************************************************
    copyright            : (C) 1999 by Frederik Bilhaut
    email                : bilhaut_f@mail.cpod.fr
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef TABVIEWGROUP_H
#define TABVIEWGROUP_H

#include <qwidget.h>
#include <qcombobox.h>
#include <qlist.h>
#include "../stabctl/stabctl.h"
#include "tabview.h"
#include "tabviewwindow.h"

class TabViewGroup : public STabCtl
	{
  Q_OBJECT
	public:
		TabViewGroup(QWidget *);
		~TabViewGroup(void);
		bool newView(QString = 0);
		bool deleteCurrentView(void);
		TabView *currentView(void);
		bool exists(QString);
		bool windowizeCurrentView(void);
	signals:
		void viewSelected(const char *);
	private:
		bool windowizeView(TabView *view);
		QPixmap tablePix;
	};

#endif




















