/***************************************************************************
    copyright            : (C) 1999 by Frederik Bilhaut
    email                : bilhaut_f@mail.cpod.fr
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "view.h"
#include "mainwindow.h"

int View::s_nextId = 1;

View::View(MainWindow *parent)
	: QFrame(parent), m_parent(parent), m_id(s_nextId++)
	{
	}
	
View::~View(void)
	{
	}
	
MainWindow *View::mainWindow(void)
	{
	return m_parent;
	}

int View::getId(void)
	{
	return m_id;
	}

